Array.prototype.insert = function(ITEM,POS)
{
	if (POS == 0)
	{
		this.unshift(ITEM);
	}
	else
	{
		var beforeItems = this.splice(0,POS);
		var afterItems = this.splice(0,this.length);
		for (var i=0; i < beforeItems.length; i++)
		{
			this.push(beforeItems[i]);
		}
		this.push(ITEM);
		for (var i=0; i < afterItems.length; i++)
		{
			this.push(afterItems[i]);
		}
	}
}

Array.prototype.display = function()
{
	var strItems = "Array Items: \n";
	for (var i=0; i < this.length; i++)
	{
		strItems += " * " + this[i] + "\n";
	}
	alert(strItems);
}